﻿<%@ Page Title="Home Page" Language="VB" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v13.1, Version=13.1.20131.2045, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.ListControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v13.1, Version=13.1.20131.2045, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v13.1, Version=13.1.20131.2045, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.EditorControls" TagPrefix="ig" %>
    
<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <script src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.8.2.js"></script>
<script type="text/javascript">
        //*******************************************************
        // Variables
        //*******************************************************
        var minRecID = 0;
        var saveData;

        //*******************************************************
        //  Add Row - set the LoanAppEscrowRecID to a negative number so it will be added as a new record
        //            set the Remove checkbox to false
        //            add the row and open the template
        //*******************************************************
        function addRow() {
            var wdgEscrow, row, RET, binding, dropDown, value, cell
            try {
                wdgEscrow = $find('<%= wdgEscrow.ClientID%>');
           // debugger
            //get the added row (which is currently hidden through css) and display the RET for it
            var addingRow = wdgEscrow.get_behaviors()
                                     .get_editingCore()
                                     .get_behaviors()
                                     .get_rowAdding()
                                     .get_row();

            //set the Rec ID to a negative number 
            minRecID = minRecID - 1
            cell = addingRow.get_cellByColumnKey('LoanAppEscrowRecID')
            cell.set_value(minRecID)

            //set the Remove checkbox to false
            cell = addingRow.get_cellByColumnKey('Remove')
            cell.set_value(false)

            RET = wdgEscrow.get_behaviors().get_editingCore().get_behaviors().get_rowEditingTemplate();

            RET.enterEditMode(addingRow);

            wdgEscrow_TemplateOpened(wdgEscrow)
        } catch (err) {
            alert('addRow', err);
        }
    }
    //*******************************************************
    // Cancel Row - Initiate an Ajax callback from the WebDataGrid
    //*******************************************************
    function cancelRow() {
       // debugger

        var wdgEscrow, row, RET, binding, dropDown, value, cell
        try {
            wdgEscrow = $find('<%= wdgEscrow.ClientID%>');

            // Initiate an Ajax callback from the WebDataGrid
            // This is needed when you cancel the row template, go to another tab and come back to escrow
            // Otherwise you get the Microsoft JScript runtime error: Sys.InvalidOperationException: Two components with the same id 'ctl00_cphUPPage_wtBookFund_tmpl3_ucPropertyLoan_ucEscrow_wdgEscrow_ret_wneEscrowPaymentNbr' can't be added to the application. 
            var callbackObject = wdgEscrow._callbackManager.createCallbackObject();
            wdgEscrow._callbackManager.execute(callbackObject);

        } catch (err) {
            alert('cancelRow', err);
        }
    }
    //*******************************************************
    // Template Closed - if user selected the OK button, check if it is a new row being added
    //                   if is new, populate the grid with the DDL values and commit the row to the grid
    //*******************************************************
    function wdgEscrow_TemplateClosed(grid, args) {
       // debugger

        var row;
        try {
            //Did the user select the OK button?
            if (saveData) {

                row = args.get_row();

                //check if the row to be updated is the new row (always returns index of -1)
                if (row.get_index() == -1) {

                    grid.get_behaviors()
                        .get_editingCore()
                        .get_behaviors()
                        .get_rowAdding()
                        ._commitRow();
                }
            }
        } catch (err) {
            alert('wdgEscrow_TemplateClosed', err);
        }
    }
    //*******************************************************
    // Template Closing - Returns true if the user selected the OK button
    //                    Otherwise returns false
    //*******************************************************
    function wdgEscrow_TemplateClosing(grid, args) {
        //debugger

        try {
            // Did the user select the OK or Cancel button?.ge
            saveData = args.get_saveChanges();

        } catch (err) {
            alert('wdgEscrow_TemplateClosing', err);
        }
    }

    //*******************************************************
    // Template Opened - get the container and center the template
    //*******************************************************
    function wdgEscrow_TemplateOpened(grid, args) {

        var template = $("#ctl00_MainContent_wdgEscrow_ret");
        $("#ctl00_MainContent_wdgEscrow_ret").remove();
        $("#body1").append(template);
    }
</script>

    <asp:Panel runat="server" ID="pnlControl" Height="435px" Width="800px">

        <asp:Panel ID="pnlMortgageHeader" runat="server" 
            Height="17" 
            Width="760" 
            style="margin-left:5px;background-color: #B0C4DE;color: #000000;font-weight:bold;"> 
            <asp:Label ID="lblMortgage" runat="server"   
                style="margin-left: 5px;"  
                Text ="Mortgage"></asp:Label>
        </asp:Panel>

        <asp:Panel ID="pnlMortgage" runat="server"
			Style="z-index: 100; left: 0px; position: relative; top: 0px; height: 260px; width: 770px">
                <div style="position: absolute; top: 15px; left: 20px; z-index: 100;">
                    <asp:Label ID="Label1" runat="server"   
                        Text ="Mortgage Data"></asp:Label>
                </div>
        </asp:Panel>
  
        <ajaxToolkit:CollapsiblePanelExtender ID="cpeMortgage" runat="server"   
            CollapseControlID="pnlMortgageHeader"   
            CollapsedSize="2"
            ExpandControlID="pnlMortgageHeader" 
            TargetControlID="pnlMortgage"
            SuppressPostBack="true"
>
        </ajaxToolkit:CollapsiblePanelExtender>

        <asp:Panel ID="pnlARMHeader" runat="server"
            Height="17" 
            Width="760" 
            style="margin-left:5px;background-color: #B0C4DE;color: #000000;font-weight:bold;"> 
            <asp:Label ID="lblARM" runat="server"  
                style="margin-left: 5px;"  
                Text ="ARM"></asp:Label>
        </asp:Panel>

        <asp:Panel ID="pnlARM" runat="server"  
			Style="z-index: 100; left: 0px; position: relative; top: 0px; height: 140px; width: 770px">
                <div style="position: absolute; top: 20px; left: 15px; z-index: 100;">
                    <asp:Label ID="Label2" runat="server"   
                        Text ="ARM Data"></asp:Label>
                </div>
        </asp:Panel>
  
        <ajaxToolkit:CollapsiblePanelExtender ID="cpeARM" runat="server"   
            CollapseControlID="pnlARMHeader" 
            CollapsedSize="2"
            ExpandControlID="pnlARMHeader" 
            TargetControlID="pnlARM"
            SuppressPostBack="true" >
        </ajaxToolkit:CollapsiblePanelExtender>

        <asp:Panel ID="pnlEscrowHeader" runat="server"  
            Height="17" 
            Width="760" 
            style="margin-left:5px;background-color: #B0C4DE;color: #000000;font-weight:bold;"> 
            <asp:Label ID="lblEscrow" runat="server"  
                style="margin-left: 5px;"  
                Text ="Escrow"></asp:Label>
        </asp:Panel>

        <asp:Panel ID="pnlEscrow" runat="server"  
			Style="z-index: 100; left: 0px; position: relative; top: 0px; height: 200px; width: 770px">
                <div style="position: absolute; top: 20px; left: 15px; z-index: 100;">

                 <asp:Panel runat="server" ID="Panel1" Height="30px" Width="798px">
   
	                <asp:Label ID="lblGridTitle" runat="server" height="25px"
                        Style="z-index: 102; position: absolute; left: 0px;top: 0px;
	                        border-right: #000000 1px solid;
	                        border-top: #000000 1px solid;
	                        border-left: #000000 1px solid;
	                        border-bottom: #000000 1px solid;
	                        background-color: #D4D0C8;
	                        text-align: center;
	                        padding-top: 3px;"  
                        Text="Summary"
                        Width="745px" />


    <ig:WebDataGrid ID="wdgEscrow" runat="server" 
        DataKeyFields="LoanAppEscrowRecID"    
        EnableDataViewState ="True" 
        Height="150px" 
        style="position:absolute; left: 0px; top: 25px; z-index: 100;" 
        Width="745px">

        <Columns >
            <ig:BoundCheckBoxField DataFieldName="Remove" Key="Remove" Header-Text="Remove" Width="25px" ></ig:BoundCheckBoxField>
            <ig:BoundDataField DataFieldName="PaymentNbr" Key="PaymentNbr" Header-Text="PaymentNbr" Width="80px" ></ig:BoundDataField>
            <ig:BoundDataField DataFieldName="EscrowAmount" Key="EscrowAmount" Header-Text="EscrowAmount" Width="80px" ></ig:BoundDataField>
            <ig:BoundDataField DataFieldName="PeriodicExpenseAmount" Key="PeriodicExpenseAmount" Header-Text="PeriodicExpenseAmount" Width="80px" ></ig:BoundDataField>
            <ig:BoundDataField DataFieldName="NextPaymentDueDate" Key="NextPaymentDueDate" Header-Text="NextPaymentDueDate" Width="80px" ></ig:BoundDataField>
            <ig:BoundDataField DataFieldName="Account" Key="Account" Header-Text="Account" Width="90px" ></ig:BoundDataField>
            <ig:BoundDataField DataFieldName="Misc1" Key="Misc1" Header-Text="Misc1" Width="100px" ></ig:BoundDataField>
            <ig:BoundDataField DataFieldName="Misc2" Key="Misc2" Header-Text="Misc2" Width="100px" ></ig:BoundDataField>
            <ig:BoundDataField DataFieldName="LoanAppEscrowRecID" Key="LoanAppEscrowRecID" Hidden ="true"  ></ig:BoundDataField>
        </Columns>

        <Behaviors>
            <ig:Activation Enabled="true" />
            
            <ig:EditingCore AutoCRUD="false"   > 
                <Behaviors>
                
                    <ig:CellEditing Enabled="true" ></ig:CellEditing>

                    <ig:RowAdding AddNewRowCssClass="hideRowTemplate" ></ig:RowAdding>
                    
                    <ig:RowEditingTemplate CancelButton="buttonCancel" OKButton="buttonOK" >
                    
                        <EditModeActions MouseClick="Single"/>
                        <ClientBindings>
                            <ig:RowEditingClientBinding ColumnKey ="PaymentNbr" ControlID ="wneEscrowPaymentNbr" 
                                GetValueJavaScript="$find({ClientID}).get_value()"
                                SetValueJavaScript="$find({ClientID}).set_value({value})" />
                            <ig:RowEditingClientBinding ColumnKey ="EscrowAmount" ControlID ="wceEscrowAmount" 
                                GetValueJavaScript="$find({ClientID}).get_value()"
                                SetValueJavaScript="$find({ClientID}).set_value({value})" />
                            <ig:RowEditingClientBinding ColumnKey ="PeriodicExpenseAmount" ControlID ="wcePeriodicExpense" 
                                GetValueJavaScript="$find({ClientID}).get_value()"
                                SetValueJavaScript="$find({ClientID}).set_value({value})" />
                            <ig:RowEditingClientBinding ColumnKey ="NextPaymentDueDate" ControlID ="wdpNextDueDate" 
                                GetValueJavaScript="$find({ClientID}).get_value()"
                                SetValueJavaScript="$find({ClientID}).set_value({value})" />
                            <ig:RowEditingClientBinding ColumnKey ="Account" ControlID ="txtAccountNumber" 
                                GetValueJavaScript="$get({ClientID}).value"
                                SetValueJavaScript="$get({ClientID}).value={value} == null ? '' : {value}" />
                            <ig:RowEditingClientBinding ColumnKey ="Misc1" ControlID ="txtMiscellaneous1" 
                                GetValueJavaScript="$get({ClientID}).value"
                                SetValueJavaScript="$get({ClientID}).value={value} == null ? '' : {value}" />
                            <ig:RowEditingClientBinding ColumnKey ="Misc2" ControlID ="txtMiscellaneous2" 
                                GetValueJavaScript="$get({ClientID}).value"
                                SetValueJavaScript="$get({ClientID}).value={value} == null ? '' : {value}" />
                        </ClientBindings>
                        
                        <Template>
                            <div style="background-color:white;border:1px solid black;  ">
                                <table border="0" >
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblEscrowPaymentNbr" runat="server" Text="Payment Number" />
                                        </td>
                                        <td>
                                        <ig:WebNumericEditor ID="wneEscrowPaymentNbr" runat="server"
                                            Width="20px"    
                                            DataMode="Int" 
                                            MaxLength="2"
                                            MaxValue="98"
                                            MinValue="0"
                                            ToolTip =""></ig:WebNumericEditor>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblEscrowAmount" runat="server" Text="Escrow Amount" />
                                        </td>
                                        <td>
                                            <ig:WebCurrencyEditor ID="wceEscrowAmount" runat="server"  
                                                MaxLength="12" 
                                                MaxValue="999999999.99"
                                                MinValue="0"
                                                Nullable ="true" 
                                                Width="95px"
                                                ToolTip =""></ig:WebCurrencyEditor>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblPeriodicExpense" runat="server" Text="Periodic Expense" />
                                        </td>
                                        <td>
                                            <ig:WebCurrencyEditor ID="wcePeriodicExpense" runat="server" 
                                                MaxLength="12" 
                                                MaxValue="999999999.99"
                                                MinValue="0" 
                                                Nullable ="true" 
                                                Width="95px"
                                                ToolTip =""></ig:WebCurrencyEditor>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNextDueDate" runat="server" Text="Next Due Date" />
                                        </td>
                                        <td>
                                            <ig:WebDatePicker ID="wdpNextDueDate" runat="server" Nullable ="true" 
                                                MaxValue="2079-06-06"
                                                MinValue="1900-01-01"
                                                ToolTip =""></ig:WebDatePicker>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblAccountNumber" runat="server" Text="Account Number" />
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txtAccountNumber" runat="server"
                                                MaxLength ="20" 
                                                Width="200px"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblMiscellaneous1" runat="server" Text="Miscellaneous #1" />
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txtMiscellaneous1" runat="server"
                                                MaxLength ="30" 
                                                Width="200px"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblMiscellaneous2" runat="server" Text="Miscellaneous #2" />
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txtMiscellaneous2" runat="server"
                                                MaxLength ="30"
                                                Width="200px"></asp:TextBox>
                                        </td>
                                    </tr>

                                    <tr>
                                        <td>
                                            <asp:Button ID="buttonOK" runat="server" 
                                                OnClientClick="return" 
                                                Text="OK" 
                                                UseSubmitBehavior="False" />
                                            <asp:Button ID="buttonCancel" runat="server" 
                                                CausesValidation="False" 
                                                Text="Cancel" 
                                                UseSubmitBehavior="False" />
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </Template>
                    </ig:RowEditingTemplate>
                </Behaviors>
            </ig:EditingCore>

            <ig:Selection CellClickAction="Row" RowSelectType="Single" Enabled="true" />

        </Behaviors>
    </ig:WebDataGrid>

                    <asp:Button ID="btnAdd" runat="server" Height ="30"  
                        style="z-index: 102; position: absolute; left: 660px;top: -5px"
                        Text="Add" />

                </asp:Panel>


                </div>
        </asp:Panel>
  
        <ajaxToolkit:CollapsiblePanelExtender ID="cpeEscrow" runat="server"    
            CollapseControlID="pnlEscrowHeader" 
            CollapsedSize="2"
            ExpandControlID="pnlEscrowHeader" 
            TargetControlID="pnlEscrow"
            SuppressPostBack="true">
        </ajaxToolkit:CollapsiblePanelExtender>

        <asp:Panel ID="pnlHomeEquityHeader" runat="server" 
            Height="17" 
            Width="760" 
            style="margin-left:5px;background-color: #B0C4DE;color: #000000;font-weight:bold;"> 

                <asp:Label ID="lblHomeEquity" runat="server"  
                    style="margin-left: 5px;"  
                    Text ="Home Equity"></asp:Label>
        </asp:Panel>
        
        <asp:Panel ID="pnlHomeEquity" runat="server"  
			Style="z-index: 100; left: 0px; position: relative; top: 0px; height: 160px; width: 770px">
                <div style="position: absolute; top: 20px; left: 15px; z-index: 100;">
                    <asp:Label ID="Label3" runat="server"   
                        Text ="Home Equity Data"></asp:Label>
                </div>
        </asp:Panel>
  
        <ajaxToolkit:CollapsiblePanelExtender ID="cpeHomeEquity" runat="server"   
            CollapseControlID="pnlHomeEquityHeader" 
            CollapsedSize="15"
            ExpandControlID="pnlHomeEquityHeader" 
            TargetControlID="pnlHomeEquity"
            SuppressPostBack="true" >
        </ajaxToolkit:CollapsiblePanelExtender>                   
    
</asp:Panel>

</asp:Content>
